NAN(3P)

NAME
nan, nanf, nanl - return quiet NaN

SYNOPSIS

#include <math.h>

double nan(const char *tagp);
float nanf(const char *tagp);
long double nanl(const char *tagp);

DESCRIPTION

The function call nan("n-char-sequence") shall be equivalent to:

    strtod("NAN(n-char-sequence)", (char **) NULL);

The function call nan("") shall be equivalent to:

    strtod("NAN()", (char **) NULL)

If tagp does not point to an n- char sequence or an empty string, the function call shall be equivalent to:

    strtod("NAN", (char **) NULL)

Function calls to nanf() and nanl() are equivalent to the corresponding function calls to strtof() and strtold().

RETURN VALUE

These functions shall return a quiet NaN, if available, with content indicated through tagp.

If the implementation does not support quiet NaNs, these functions shall return zero.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

strtod() , strtold() , the Base Definitions volume of IEEE Std 1003.1-2001, <math.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .